diff a/src/hotspot/share/cds/dumpAllocStats.hpp b/src/hotspot/share/cds/dumpAllocStats.hpp
--- a/src/hotspot/share/cds/dumpAllocStats.hpp
+++ b/src/hotspot/share/cds/dumpAllocStats.hpp
@@ -66,32 +66,40 @@
   int _bytes [2][_number_of_types];
 
   int _num_field_cp_entries;
   int _num_field_cp_entries_archived;
   int _num_field_cp_entries_reverted;
+  int _num_indy_cp_entries;
+  int _num_indy_cp_entries_archived;
+  int _num_indy_cp_entries_reverted;
   int _num_klass_cp_entries;
   int _num_klass_cp_entries_archived;
   int _num_klass_cp_entries_reverted;
   int _num_method_cp_entries;
   int _num_method_cp_entries_archived;
   int _num_method_cp_entries_reverted;
+  int _num_dynamic_proxy_classes;
 
 public:
   enum { RO = 0, RW = 1 };
 
   DumpAllocStats() {
     memset(_counts, 0, sizeof(_counts));
     memset(_bytes,  0, sizeof(_bytes));
     _num_field_cp_entries           = 0;
     _num_field_cp_entries_archived  = 0;
     _num_field_cp_entries_reverted  = 0;
+    _num_indy_cp_entries            = 0;
+    _num_indy_cp_entries_archived   = 0;
+    _num_indy_cp_entries_reverted   = 0;
     _num_klass_cp_entries           = 0;
     _num_klass_cp_entries_archived  = 0;
     _num_klass_cp_entries_reverted  = 0;
     _num_method_cp_entries          = 0;
     _num_method_cp_entries_archived = 0;
     _num_method_cp_entries_reverted = 0;
+    _num_dynamic_proxy_classes      = 0;
   };
 
   CompactHashtableStats* symbol_stats() { return &_symbol_stats; }
   CompactHashtableStats* string_stats() { return &_string_stats; }
 
@@ -120,10 +128,16 @@
     _num_field_cp_entries ++;
     _num_field_cp_entries_archived += archived ? 1 : 0;
     _num_field_cp_entries_reverted += reverted ? 1 : 0;
   }
 
+  void record_indy_cp_entry(bool archived, bool reverted) {
+    _num_indy_cp_entries ++;
+    _num_indy_cp_entries_archived += archived ? 1 : 0;
+    _num_indy_cp_entries_reverted += reverted ? 1 : 0;
+  }
+
   void record_klass_cp_entry(bool archived, bool reverted) {
     _num_klass_cp_entries ++;
     _num_klass_cp_entries_archived += archived ? 1 : 0;
     _num_klass_cp_entries_reverted += reverted ? 1 : 0;
   }
@@ -132,9 +146,13 @@
     _num_method_cp_entries ++;
     _num_method_cp_entries_archived += archived ? 1 : 0;
     _num_method_cp_entries_reverted += reverted ? 1 : 0;
   }
 
+  void record_dynamic_proxy_class() {
+    _num_dynamic_proxy_classes ++;
+  }
+
   void print_stats(int ro_all, int rw_all);
 };
 
 #endif // SHARE_CDS_DUMPALLOCSTATS_HPP
